<div class="container d-flex justify-content-between">
  <a class="logo-home" href="index.html"
    ><h2 class="logo-brand">FOOSESHOES</h2></a
  >
  <div class="hover-state container d-flex justify-content-end">
    <div class="dropdown">
      <button
        class="btn btn-primary-outline logo-dropdown-form logo-box"
        type="button"
        id="dropdownMenuButton"
        data-toggle="dropdown"
        aria-haspopup="true"
        aria-expanded="false"
      >
        <span> SEARCH </span><i class="fa fa-search pl-3 ml-5"></i>
      </button>
      <div
        class="dropdown-menu logo-search-drop"
        aria-labelledby="dropdownMenuButton"
      >
        <a class="dropdown-item" href="#">MEN'S SHOES</a>
        <a class="dropdown-item" href="#">KIDS</a>
      </div>
    </div>
    <!-- Button trigger modal signup/register -->
    <button
      type="button"
      class="btn btn-primary-outline logo-dropdown-form logo-box"
      data-toggle="modal"
      data-target="#formSignUpRegister"
    >
      <span class="login-modal">LOGIN or REGISTER</span>
    </button>

    <!-- Modal -->
    <div
      class="modal fade"
      id="formSignUpRegister"
      tabindex="-1"
      role="dialog"
      aria-labelledby="formSignUpRegisterLabel"
      aria-hidden="true"
    >
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header bg-title-modal">
            <h5 class="modal-title title-modal" id="formSignUpRegisterLabel">
              Sign Up
            </h5>
            <button
              type="button"
              class="close"
              data-dismiss="modal"
              aria-label="Close"
            >
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body bg-body-modal">
            <form>
              <div class="login-form">
                <div class="form-group">
                  <label for="exampleInputEmail1">Login</label>
                  <input
                    type="email"
                    class="form-control"
                    aria-describedby="emailHelp"
                    placeholder="Enter login"
                    required
                  />
                </div>
                <div class="form-group">
                  <label for="exampleInputPassword1">Password</label>
                  <input
                    type="password"
                    class="form-control"
                    placeholder="Password"
                    required
                  />
                </div>
              </div>
              <div class="register-form d-none">
                <div class="form-group">
                  <label for="exampleInputEmail1">Email address</label>
                  <input
                    type="email"
                    class="form-control"
                    aria-describedby="emailHelp"
                    placeholder="Enter email"
                    required
                  />
                  <small id="emailHelp" class="form-text text-muted"
                    >We'll never share your email with anyone else.</small
                  >
                </div>
                <div class="form-group">
                  <label for="exampleInputPassword1">Password</label>
                  <input
                    type="password"
                    class="form-control"
                    placeholder="Password"
                    required
                  />
                </div>
                <div class="form-group">
                  <label for="exampleInputPassword1">Retype Password</label>
                  <input
                    type="password"
                    class="form-control"
                    placeholder="Password"
                    required
                  />
                </div>
              </div>
            </form>
          </div>
          <div
            class="modal-footer bg-body-modal d-flex justify-content-between"
          >
            <button
              type="button"
              id="btnToggle"
              class="btn btn-secondary btn-close"
              login="1"
            >
              Login
            </button>
            <button type="submit" class="btn btn-primary btn-save">
              Submit
            </button>
          </div>
        </div>
      </div>
    </div>
    <!-- End of Modal -->
  </div>
</div>
<script>
  const btnToggle = document.querySelector("#btnToggle");
  const loginForm = document.querySelector(".login-form");
  const registerForm = document.querySelector(".register-form");

  btnToggle.onclick = () => {
    let loginOrRegister = parseInt(btnToggle.getAttribute("login"));

    if (loginOrRegister === 0) {
      loginForm.classList.toggle("d-none");
      registerForm.classList.toggle("d-none");
      btnToggle.innerHTML = "Login";
      return btnToggle.setAttribute("login", 1);
    } else {
      loginForm.classList.toggle("d-none");
      registerForm.classList.toggle("d-none");
      btnToggle.innerHTML = "Register";
      return btnToggle.setAttribute("login", 0);
    }
  };
</script>
